import axios from 'axios'

axios.defaults.timeout = 60000

axios.interceptors.request.use((config) => {
  config.headers.token = window.token || ""
  return config
}, (error) => {
  return Promise.reject(error.response.data)
})


let path = {
  // 开发
  development: `http://192.168.10.200:8020/upaLogs`,
  // 200
  lan: `http://192.168.10.200:8009/projectName/${version}`,
  // 测试
  pred: `https://dtgateway.allhome.com.cn/projectName/${version}`,
  // 线上
  production: `https://gateway.allhome.com.cn/projectName/${version}`
}

axios.defaults.baseURL = path[process.env.NODE_ENV]

/**
 * 响应拦截器
 * @author liuqiuyue
 * @date 2019-04-29
 */
axios.interceptors.response.use((res) => {
  let {message, result, statusCode} = res.data
  //  退出登录状态码
  let logoutCodes = new Set([435001, 435011, 436050])
  if (statusCode === 1000) {
    //  更新全局token
    let {pragma} = res.headers
    if (pragma) window.token = pragma
    //  返回数据
    return result
  } else if (logoutCodes.has(statusCode)) {
    setTimeout(() => window.logout(), 1000)
    return Promise.reject({message})
  } else {
    return Promise.reject({message,statusCode})
  }
}, (error) => {
  return Promise.reject(error.response.data)
})

export default axios;